Bug 109021 - Kaveri no fix perfomance
Summary: Kaveri no fix perfomance
Status: RESOLVED NOTABUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-12 01:50 UTC by Dmitry
Modified: 2019-01-08 01:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2018-12-12 01:50:32 UTC
Apparently fix Kaveri A10 7850K did not touch the RADV driver. I did a benchmark in the game Rise of the Tomb Raider before and after the fix, and FPS remained the same. Despite the fact that the fixed yields of approximately 50%.

P.S.Mesa RADV 18.2.6, linux kernel 4.19.8
Comment 1 Samuel Pitoiset 2018-12-12 12:41:12 UTC
I'm sorry but I don't understand what your report means.

What are you talking about? And what fix?
Comment 2 Dmitry 2018-12-12 12:50:43 UTC
Have 7850К earlier, it was stated the wrong number of render backends.
https://www.phoronix.com/scan.php?page=news_item&px=AMD-Kaveri-Mesa-18.2-Boost

This should have been fixed in the new kernel version and Mesa 18.2, respectively. But in RADV, I'm seeing old performance.
Comment 3 Samuel Pitoiset 2018-12-12 12:58:25 UTC
This code is shared by RadeonSI and RADV, so I assume that commit should also help RADV.
Comment 4 Dmitry 2018-12-12 13:05:46 UTC
I also think. But I measured the FPS before and after the Mesa and kernel update.
Comment 5 Bas Nieuwenhuizen 2019-01-02 17:10:08 UTC
Note that the patch is a theoretical 2x benefit in a very specific case.

Do you have a GL game where there is a significant difference? Otherwise I'd assume this is just a specific bottleneck that is not hit a lot in practice and hence would not typically result in significant performance changes.
Comment 6 Dmitry 2019-01-02 21:23:35 UTC
GL games are not compared, only Vulkan. Because there is a suspicion that the patch is not touched RADV.
Comment 7 Bas Nieuwenhuizen 2019-01-08 00:42:48 UTC
Unless you have numbers that for GL it actually improves performance for some implications I'm not going to spend time on this.
Comment 8 Dmitry 2019-01-08 01:32:22 UTC
OK. Then close.

Hopefully pay attention to another important bug report.
https://bugs.freedesktop.org/show_bug.cgi?id=109015
Comment 9 Dmitry 2019-01-08 01:34:42 UTC
More precisely this, sorry.
https://bugs.freedesktop.org/show_bug.cgi?id=109017


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.